# Class TCefWriteHandlerOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWriteHandler

## Declaration

`type TCefWriteHandlerOwn = class(TCefBaseRefCountedOwn, ICefWriteHandler)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefWriteHandlerOwn

## Overview

### Methods

| `function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;`
| `function Seek(offset: Int64; whence: Integer): Integer; virtual;`
| `function Tell: Int64; virtual;`
| `function Flush: Integer; virtual;`
| `function MayBlock: Boolean; virtual;`
| `constructor Create; virtual;`

## Description

### Methods

| `function Write(const ptr: Pointer; size, n: NativeUInt): NativeUInt; virtual;`
This item has no description. Showing description inherited from ICefWriteHandler.Write. Write raw binary data.

| `function Seek(offset: Int64; whence: Integer): Integer; virtual;`
This item has no description. Showing description inherited from ICefWriteHandler.Seek. Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Return zero on success and non-zero on failure.

| `function Tell: Int64; virtual;`
This item has no description. Showing description inherited from ICefWriteHandler.Tell. Return the current offset position.

| `function Flush: Integer; virtual;`
This item has no description. Showing description inherited from ICefWriteHandler.Flush. Flush the stream.

| `function MayBlock: Boolean; virtual;`
This item has no description. Showing description inherited from ICefWriteHandler.MayBlock. Return true (1) if this handler performs work like accessing the file system which may block. Used as a hint for determining the thread to access the handler from.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.